package com.njcn.supervision.enums;

import lombok.Getter;

/**
 * 异常处理类
 * @author qijian
 * @version 1.0.0
 * @date 2022年11月11日 09:56
 */
@Getter
public enum SupervisionResponseEnum {

    /**
     * 过程监督异常响应码的范围：
     * A00550 ~ A00649
     */
    SUPERVISION_COMMON_ERROR("A00550","监督管理模块异常"),
    IMPORT_SENSITIVE_USER_ERROR("A00550","导入敏感及重要用户失败"),
    IMPORT_SENSITIVE_USER_DATA_ERROR("A00550","敏感及重要用户数据为空"),
    IMPORT_SENSITIVE_REPORT_ERROR("A00550","导入干扰源用户失败"),
    SUPERVISION_SERVICE_NOT_FOUND("A00550","业务实现类丢失，清查看类路径配置"),
    DATA_NOT_EXISTS("A00550","数据不存在"),
    NO_POWER("A00550","不能操作非自己创建的任务!"),
    NO_USER_REPORT_UPDATE("A00550","常态化干扰源用户管理信息更新失败，不存在该条信息"),
    NO_DEPT_POWER("A00550","不能操作非自己部门创建的任务"),
    IMPORT_DEV_ERROR("A00550","导入终端检测失败"),
    IMPORT_DEV_DATA_ERROR("A00550","终端数据为空"),
    DELETE_TO_BE_SUBMITTED("A00550","流程删除失败，只有待提交信息可删除!"),
    EXISTENCE_OR_NOT("A00550","信息查询为空,请检查信息是否存在!"),
    NAME_EXISTS("A00550","名称重复"),
    ;

    private final String code;

    private final String message;

    SupervisionResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
